The MOEADr Package -- A Component-Based Framework for Multiobjective Evolutionary Algorithms Based on Decomposition
===================================================
 
Replication Files Documentation
===================================================

This archive contains the replication files for the 
JSS manuscript above, by Felipe Campelo, Lucas S. 
Batista and Claus Aranha. 

To replicate the results, please run the _code.R_
script. 

The script, as is, will use pre-calculated irace configuration
data. If you wish to regenerate the irace results from scratch,
please set the _replication.full_ variable to TRUE. Please 
note that this may take quite a long time (24 hours in 
our 24-core machine), so please use with care.

# Contents of the archive
- README.md : The file you are reading now
- code.R : Replication script

- scenario.txt: irace scenario file (Case Study 2)
- parameters.txt: irace parameter selection file (Case Study 2)
- forbidden.txt: irace forbidden parameter file (Case Study 2)
- irace-testing.Rdata: irace pre-calculated data (Case Study 2)
- irace-tuning.Rdata: irace pre-calculated data (Case Study 2)
- pf_data: reference data for the training problems (Case Study 2)
- Results.rds: irace pre-calculated data (Case Study 2)
- dependency_packages: source files for all packages required for the 
  replication script, in their correct versions.

# Requirements for running the scripts
- The package and the replication script were run in R v3.4.0 (2017-04-21)
- MOEADr package dependencies (listed in the **Imports** field of DESCRIPTION): 
    - FNN (v1.1)
    - assertthat (v0.2.0)
- For the replication script (listed in the **Suggests** field of DESCRIPTION):
    - MASS (v7.3-47)
    - smoof (v1.5)
    - irace (v2.3)
    - ggplot2 (v2.2.1)
